Mono.Parallel 4.0.0.0 System.ValueType This is an even lighter and faster version of that provide only the bare functionnality of a reader-writer lock with no thread tracking and no heavy wait mechanism. In summary, it's what is to . The Enter methods of this class use for waiting which means you shouldn't use this type with locked long running operations.
- Method
  4.0.0.0
  System.Void ``

  Must be set to false prior calling this method.

  If value is lock has been taken. This value is safe to trust even under exceptional situations.

  Attempts to get the lock in Read mode and loops if it's not yet available. To be added.
- Method
  4.0.0.0
  System.Void ``

  Must be set to false prior calling this method.

  If value is lock has been taken. This value is safe to trust even under exceptional situations.

  Attempts to get the lock in Write mode and loops if it's not yet available. To be added.
- Method
  4.0.0.0
  System.Void Remove a reader from the lock. A call to or must be matched by this method to release it no matter the thread that call it.
- Method
  4.0.0.0
  System.Void Remove writer from the lock. A call to or must be matched by this method to release it no matter the thread that call it.
- Method
  4.0.0.0
  System.Void ``

  Must be set to false prior calling this method.

  If value is lock has been taken. This value is safe to trust even under exceptional situations.

  Non-blocking equivalent of . To be added.
- Method
  4.0.0.0
  System.Void ``

  Must be set to false prior calling this method.

  If value is lock has been taken. This value is safe to trust even under exceptional situations.

  Non-blocking equivalent of . To be added.